%global apiversion 0.0

Summary:       A library for import of Adobe PageMaker documents
Name:          libpagemaker
Version:       0.0.4
Release:       6%{?dist}
License:       MPL-2.0
URL:           http://wiki.documentfoundation.org/DLP/Libraries/libpagemaker
Source0:       http://dev-www.libreoffice.org/src/%{name}/%{name}-%{version}.tar.xz

BuildRequires: boost-devel doxygen gcc-c++ help2man make
BuildRequires: pkgconfig(librevenge-0.0)
BuildRequires: pkgconfig(librevenge-generators-0.0)
BuildRequires: pkgconfig(librevenge-stream-0.0)

%description
libpagemaker is library providing ability to interpret and import Adobe PageMaker documents into various applications.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for developing applications that use %{name}.

%package tools
Summary: Tools to transform Adobe PageMaker documents into other formats
Requires: %{name} = %{version}-%{release}

%description tools
Tools to transform Adobe PageMaker documents into other formats. Currently supported: SVG, plain text, raw.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure \
    --disable-silent-rules \
    --disable-static \
    --disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la
rm -rf %{buildroot}/%{_docdir}/%{name}

export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in pmd2raw pmd2svg pmd2text; do
    help2man -N -S '%{name} %{version}' -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 pmd2*.1 %{buildroot}/%{_mandir}/man1

%files
%license COPYING
%doc AUTHORS NEWS
%{_libdir}/%{name}-%{apiversion}.so.*

%files devel
%license COPYING
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files tools
%{_bindir}/pmd2raw
%{_bindir}/pmd2svg
%{_bindir}/pmd2text
%{_mandir}/man1/pmd2raw.1*
%{_mandir}/man1/pmd2svg.1*
%{_mandir}/man1/pmd2text.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.4-6
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 22 2023 kianli@tencent.com - 0.0.4-5
- Rebuilt for librevenge 0.0.5

* Tue Aug 01 2023 rockerzhu rockerzhu@tencent.com - 0.0.4-4
- Rebuilt for boost 1.82.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.4-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 28 2022 Shuo Wang <abushwang@tencent.com> - 0.0.4-1
- initial build
